<template>
            <div id="spanModal" class="modalContenedor">
                <div class="modal">
                    <div class="modalTitulo">
                        <span id="cerrarModal" class="cerrarModal">&times;</span>
                        <h2>@{{tituloGasto}}</h2>
                    </div>
                    <div class="modalContenido">
                        <table style="width:100%">
                            <tr>
                                <td>
                                    <label for="gasto">Concepto:</label>
                                </td>
                                <td>
                                    <input type="text" name="gasto" v-model="nuevoGastoPrueba">
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label for="cantidad">Cantidad:</label>
                                </td>
                                <td>
                                    <input type="text" name="cantidad" v-model.number="nuevaCantidadPrueba">
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <button id="agregarGasto" v-on:click="agregarGasto">Agregar</button>
                                </td>
                            </tr>
                        </table>

                    </div>
                </div>
            </div>

</template>

<script>
export default {
    props: ['gasto','tituloGasto', 'nuevoGastoPrueba', 'nuevaCantidadPrueba','agregarGasto'],
 mounted() {
    console.log('aqui estoy, soy Modal Component'); 
 }
}
</script>
